package com.performancecoachlab.posedetection.custom

import com.performancecoachlab.posedetection.recording.AnalysisObject
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow

class CustomObjectRespository {
    private val _customObjectFlow = MutableStateFlow<List<AnalysisObject>?>(null)
    val customObjectFlow: StateFlow<List<AnalysisObject>?> get() = _customObjectFlow

    fun updateCustomObject(customObject: List<AnalysisObject>) {
        _customObjectFlow.value = customObject
    }
}